[arch-commits] Commit in (8 files)

Dan McGee dan at archlinux.org
Mon Nov 2 02:13:38 UTC 2009


    Date: Sunday, November 1, 2009 @ 21:13:38
  Author: dan
Revision: 57766

Add new munin package

Added:
  munin/
  munin/repos/
  munin/trunk/
  munin/trunk/Makefile.config
  munin/trunk/PKGBUILD
  munin/trunk/logrotate.munin
  munin/trunk/munin-cron-entry
  munin/trunk/munin.install

------------------+
 Makefile.config  |  102 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 PKGBUILD         |   33 +++++++++++++++++
 logrotate.munin  |    4 ++
 munin-cron-entry |    6 +++
 munin.install    |   10 +++++
 5 files changed, 155 insertions(+)

Added: munin/trunk/Makefile.config
===================================================================
--- munin/trunk/Makefile.config	                        (rev 0)
+++ munin/trunk/Makefile.config	2009-11-02 02:13:38 UTC (rev 57766)
@@ -0,0 +1,102 @@
+# This file specifies where Munin will look for things after you've
+# run 'make' in the source directory.  Modify it to suit your needs.
+
+# DESTDIR is empty during building, and optionally set to point to
+# a shadow tree during make install.
+
+#
+# the base of the Munin installation.
+# 
+PREFIX     = $(DESTDIR)
+
+# Where Munin keeps its configurations (server.conf, client.conf, ++)
+CONFDIR    = $(DESTDIR)/etc/munin
+
+# Server only - where to put munin-cron
+BINDIR     = $(PREFIX)/usr/bin
+
+# Client only - where to put munin-node, munin-node-configure, and munin-run
+SBINDIR    = $(PREFIX)/usr/sbin
+
+# Where to put text and html documentation
+DOCDIR     = $(PREFIX)/usr/share/doc/munin
+
+# Where to put man pages
+MANDIR     = $(PREFIX)/usr/share/man
+
+# Where to put internal binaries and plugin repository
+LIBDIR     = $(PREFIX)/usr/lib/munin
+
+# Server only - Output directory
+HTMLDIR    = $(PREFIX)/srv/http/munin
+CGIDIR     = $(HTMLDIR)/cgi
+
+# Client only - Where to put RRD files and other internal data
+DBDIR      = $(DESTDIR)/var/lib/munin
+
+# Client only - Where plugins should put their states. Must be writable by
+# group "munin", and should be preserved between reboots
+PLUGSTATE  = $(DBDIR)/plugin-state
+
+# Where Munin should place its logs.
+LOGDIR     = $(DESTDIR)/var/log/munin
+
+# Location of PID files and other statefiles. On the server, must be
+# writable by the user "munin".
+STATEDIR   = $(DESTDIR)/var/run/munin
+
+# The perl interpreter to use
+PERL       = /usr/bin/perl
+
+# The python interpreter to use (used by some plugins)
+PYTHON     = /usr/bin/env python
+
+# A modern (posix) shell.  We're not looking for arrays, but $() and
+# other modern stuff is expected.  On a posix-system the expression
+# below will find the right shell.  Most Unixes released the last 10
+# years are POSIX compliant enough for this to work (he said bravely).
+# 
+# On Linux /bin/sh, SunOS/Solaris /usr/xpg4/bin/sh or /bin/ksh
+# In general: bash or ksh will work
+#
+GOODSH     = $(shell PATH=`getconf PATH` sh -c 'type sh | sed "s/.* //"')
+
+# Path of bash for bash specific plugins
+BASH       = /bin/bash
+
+# Server only - Where to install the perl libraries
+PERLLIB    = $(DESTDIR)$(shell $(PERL) -V:sitelib | cut -d"'" -f2)
+
+# Client only - Install plugins for this architecture
+OSTYPE     = $(shell uname | tr '[A-Z]' '[a-z]')
+
+# How to figure out the hostname. (Only used in default configuration
+# files)
+HOSTNAME   = `hostname`
+
+# What is the safest way to create a tempfile.
+# Default is to figure it out by testing various methods.
+# Replace this with a known platform-specific method
+MKTEMP     = $(shell ./test-mktemp)
+
+# Munin version number.
+VERSION    = $(shell cat RELEASE)
+
+# User to run munin as
+USER       = munin
+GROUP      = munin
+
+# Default user to run the plugins as
+PLUGINUSER = nobody
+
+# Which command to use to check if the USER and GROUP to run Munin as, exists.
+GETENT = /bin/true
+CHECKUSER  = /bin/true 
+CHECKGROUP = /bin/true
+
+CHOWN      = true
+CHMOD      = chmod
+CHGRP      = true
+# Check whether setruid functionality can be used
+HASSETR = $(shell perl -e 'use Config; my @vars=("d_setruid", "d_setreuid", "d_setresuid"); foreach my $$var (@vars) { if ($$Config{$$var} eq "define") { print "1\n"; exit 0; } } print "0\n"; exit 0;' )
+

Added: munin/trunk/PKGBUILD
===================================================================
--- munin/trunk/PKGBUILD	                        (rev 0)
+++ munin/trunk/PKGBUILD	2009-11-02 02:13:38 UTC (rev 57766)
@@ -0,0 +1,33 @@
+# $Id $
+# Maintainer: Dan McGee <dan at archlinux.org>
+# Contributor: Evan LeCompte <evanlec at gmail.com>
+pkgname=munin
+pkgver=1.2.6
+pkgrel=12
+pkgdesc="A distributed monitoring/graphing tool"
+arch=('i686' 'x86_64')
+url="http://munin.projects.linpro.no/"
+license=("GPL")
+depends=('perl>=5.10.1' 'perl<5.10.2' 'rrdtool' 'perl-html-template' 'perl-date-manip' 'ttf-dejavu')
+backup=(etc/munin/munin.conf etc/logrotate.d/munin)
+install=munin.install
+source=(http://downloads.sourceforge.net/sourceforge/munin/munin_$pkgver.tar.gz
+        Makefile.config munin-cron-entry logrotate.munin)
+
+build() { 
+	cd $srcdir/$pkgname-$pkgver
+	cp $srcdir/Makefile.config $srcdir/$pkgname-$pkgver || exit 1
+	make PREFIX='' || exit 1
+}
+
+package() {
+	cd $srcdir/$pkgname-$pkgver
+	make DESTDIR=$pkgdir install-main install-doc install-man || exit 1
+	install -D -m644 $srcdir/munin-cron-entry $pkgdir/etc/munin/munin-cron-entry
+	install -D -m644 $srcdir/logrotate.munin $pkgdir/etc/logrotate.d/munin
+}
+
+md5sums=('45f84d58f80642ce914f147232f0d396'
+         '5f9b83e0c876821cf2b20012f7cb63f0'
+         'dc9c83aa2a278466fb475364462f4119'
+         'db77b53150a906256a71a9f539c7fac2')


Property changes on: munin/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
   + Id

Added: munin/trunk/logrotate.munin
===================================================================
--- munin/trunk/logrotate.munin	                        (rev 0)
+++ munin/trunk/logrotate.munin	2009-11-02 02:13:38 UTC (rev 57766)
@@ -0,0 +1,4 @@
+/var/log/munin/munin-graph.log /var/log/munin/munin-html.log /var/log/munin/munin-limits.log /var/log/munin/munin-update.log {
+   copytruncate
+   missingok
+}

Added: munin/trunk/munin-cron-entry
===================================================================
--- munin/trunk/munin-cron-entry	                        (rev 0)
+++ munin/trunk/munin-cron-entry	2009-11-02 02:13:38 UTC (rev 57766)
@@ -0,0 +1,6 @@
+#
+# cron-jobs for munin
+#
+
+*/5 * * * *     test -x /usr/bin/munin-cron && /usr/bin/munin-cron
+

Added: munin/trunk/munin.install
===================================================================
--- munin/trunk/munin.install	                        (rev 0)
+++ munin/trunk/munin.install	2009-11-02 02:13:38 UTC (rev 57766)
@@ -0,0 +1,10 @@
+post_install () {
+  # Check user/group munin exists
+  getent group munin >/dev/null || groupadd munin
+  getent passwd munin >/dev/null || useradd -c "Munin system monitor" -g munin -s /bin/false -d /var/lib/munin munin
+  # Fix permissions
+  chown munin.munin -R /var/log/munin /var/lib/munin /var/run/munin
+  # Display cron command
+  echo "See the example cron entry (for the munin user) for further setup:
+    /etc/munin/munin-cron-entry"
+}




More information about the arch-commits mailing list